This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821221 - ibus-setup language selection entries shadowed out
ibus-setup language selection entries shadowed out
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: oxygen-gtk3 (Show other bugs)
20
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 04:49 EDT by Ed Greshko
Modified: 2014-07-28 02:52 EDT (History)
14 users (show)

See Also:
Fixed In Version: ibus-1.5.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 02:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Input method selection under GNOME (341.17 KB, image/jpeg)
2012-05-14 00:27 EDT, Ed Greshko
no flags Details
Input method selection under KDE (224.23 KB, image/jpeg)
2012-05-14 00:30 EDT, Ed Greshko
no flags Details
Input method selection under KDE 1 (328.16 KB, image/jpeg)
2012-05-14 00:39 EDT, Ed Greshko
no flags Details
Input method selection under KDE F16 (296.00 KB, image/jpeg)
2012-05-14 00:40 EDT, Ed Greshko
no flags Details
kde-input-method-selection-f18-oxygen-gtk-and-adwaita-themes-compared.png (296.23 KB, image/png)
2012-12-06 02:48 EST, Mike FABIAN
no flags Details
kde-input-method-selection-f20-f18-oxygen-gtk-and-adwaita-themes-compared.png (741.52 KB, image/png)
2014-01-15 02:13 EST, Mike FABIAN
no flags Details
ibus-setup with oxygen-gtk3-1.3.2 (147.76 KB, image/png)
2014-01-21 20:34 EST, nucleo
no flags Details

  None (edit)
Description Ed Greshko 2012-05-13 04:49:51 EDT
Description of problem: When KDE is the desktop environment all input methods are grayed out.  So, it is impossible to select any input method.


Version-Release number of selected component (if applicable):


How reproducible: Install Fedora 17 TC-4 LiveKDE to disk.  Then add language support for Japan, Korea, Simplified and Traditional Chinese. 


Steps to Reproduce:
1. Install Fedora 17 TC-4 LiveKDE to disk
2. Install language support for Japan, Korea, Simplified and Traditional Chinese.
3. Install additional ibus input methods if desired
4. Use im-chooser to select ibus
5. Logout/login
6. Go to ibus preferences, Input method tab, check Customize
7. Use pull down menu to pick input methods
  
Actual results: All input methods are grayed out and not select-able


Expected results: Installed methods should be select-able


Additional info: Also installed Fedora 17 TC-4 from DVD with GNOME and KDE.  In GNOME the input methods can be selected
Comment 1 Ed Greshko 2012-05-13 11:11:28 EDT
OK, it isn't as bad as I originally reported.

It is a bad GUI design.  What I'm seeing is that all of the main language categories are grayed.  If you click on a language, nothing happens.  However, if you click on the > at the left it will reveal non-grayed selections.  I just stumbled upon this now.

Previously, in F16 and KDE, you would simply mouse over the language and be presented with various options.

So, the severity isn't "high" but this is a confusing interface under KDE and needs attention (IMO).
Comment 2 fujiwara 2012-05-13 23:33:43 EDT
The current input method tab on ibus-setup is same with Fedora 16 updates-testing repository.

> If you click on a language, nothing happens.  However,
> if you click on the > at the left it will reveal non-grayed selections. 

I don't understand your problem.
Maybe it's good to attach the screenshot:

% gnome-screenshot -i
Comment 3 Ed Greshko 2012-05-14 00:27:24 EDT
Created attachment 584217 [details]
Input method selection under GNOME

This shows what a user sees when they are adding input methods to the list under GNOME.

When you mouse over a language the list is expanded to show those methods which are available and they are all shown in Black Text.
Comment 4 Ed Greshko 2012-05-14 00:30:20 EDT
Created attachment 584218 [details]
Input method selection under KDE

This shows what the user sees when trying to add to the list under KDE.

All the Languages are grayed, and as you mouse over there is no expansion of the list as under GNOME.  Also, there is no highlighting of the languages and if you click on the language nothing happens and the list is cleared.

To expand the list, you have to notice and click on the > to the far right.  

This worked very similar to GNOME in KDE on F16.
Comment 5 Ed Greshko 2012-05-14 00:31:24 EDT
I added 2 attachments which I think makes it clear what I was trying to say.  If you need more information, please let me know.
Comment 6 Ed Greshko 2012-05-14 00:39:56 EDT
Created attachment 584221 [details]
Input method selection under KDE 1

After clicking on the > the list is expanded and selections are highlighted when mousing over.
Comment 7 Ed Greshko 2012-05-14 00:40:55 EDT
Created attachment 584222 [details]
Input method selection under KDE F16

This is how it looked in F16.  No confusion....at least for me.
Comment 8 fujiwara 2012-05-14 05:17:08 EDT
Interested. Probably I think it's a KDE problem.
Transferring to KDE for the furthermore investigation.
Comment 9 Jens Petersen 2012-12-06 02:42:21 EST
This also affects F18.

Proposing as NTH.
Comment 10 Mike FABIAN 2012-12-06 02:48:52 EST
Created attachment 658578 [details]
kde-input-method-selection-f18-oxygen-gtk-and-adwaita-themes-compared.png

Comparison how the input method selection looks on f18 with the oxygen-gtk
and the adwaita theme.
Comment 11 Jens Petersen 2012-12-06 03:21:17 EST
Moving to oxygen-gtk3 since ibus-setup uses pygobject3 based on gtk3.
Comment 12 Adam Williamson 2012-12-19 15:33:14 EST
Discussed at 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Rejected as NTH, because this doesn't need to go in before freeze: the KDE live is not multilingual so it isn't affected by this, and all other cases can be fixed with an update.
Comment 13 Fedora End Of Life 2013-12-21 03:36:04 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Mike FABIAN 2014-01-15 02:13:07 EST
Created attachment 850347 [details]
kde-input-method-selection-f20-f18-oxygen-gtk-and-adwaita-themes-compared.png

No significant change in Fedora 20. It still looks confusing when using the
oxygen-gtk theme (which is the default).
Comment 15 nucleo 2014-01-20 21:38:55 EST
oxygen-gtk3-1.3.2-1.fc20 from updates-testing fixes this bug?
Comment 16 fujiwara 2014-01-20 22:38:51 EST
(In reply to nucleo from comment #15)
> oxygen-gtk3-1.3.2-1.fc20 from updates-testing fixes this bug?

It does not fix this bug.
Comment 17 nucleo 2014-01-21 20:34:20 EST
Created attachment 853550 [details]
ibus-setup with oxygen-gtk3-1.3.2

With oxygen-gtk3-1.3.2 input methods are grayed but I can select them.
Comment 18 fujiwara 2014-01-21 23:11:07 EST
(In reply to nucleo from comment #17)
> Created attachment 853550 [details]
> ibus-setup with oxygen-gtk3-1.3.2
> 
> With oxygen-gtk3-1.3.2 input methods are grayed but I can select them.

I think this bug asks the following problems:

On your attachment:
"English" is gray
Need to click arrow key(>) instead of "English" to show "English (Canada)", "English (Colemak)", ...

Expected result:
"English" is black
Also can expand when click "English".

If you run ibus-setup on other desktops, the usability is different.
Comment 19 fujiwara 2014-07-28 02:52:53 EDT
ibus-setup is enhanced now.

Note You need to log in before you can comment on or make changes to this bug.